{
  "schema_version": "1.4.0",
  "id": "GHSA-9vj3-8mhr-2vxc",
  "modified": "2022-05-01T18:07:39Z",
  "published": "2022-05-01T18:07:39Z",
  "aliases": [
    "CVE-2007-2834"
  ],
  "details": "Integer overflow in the TIFF parser in OpenOffice.org (OOo) before 2.3; and Sun StarOffice 6, 7, and 8 Office Suite (StarSuite); allows remote attackers to execute arbitrary code via a TIFF file with crafted values of unspecified length fields, which triggers allocation of an incorrect amount of memory, resulting in a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-2834"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/36656"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1740"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9967"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=192818"
    },
    {
      "type": "WEB",
      "url": "http://fedoranews.org/updates/FEDORA-2007-237.shtml"
    },
    {
      "type": "WEB",
      "url": "http://fedoranews.org/updates/FEDORA-2007-700.shtml"
    },
    {
      "type": "WEB",
      "url": "http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=593"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2007-09/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26816"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26817"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26839"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26844"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26855"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26861"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26891"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26903"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26912"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27077"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27087"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27370"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200710-24.xml"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1018702"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-102994-1"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-66-200190-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1375"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:186"
    },
    {
      "type": "WEB",
      "url": "http://www.openoffice.org/security/cves/CVE-2007-2834.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0848.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/479965/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/25690"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-524-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3184"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3262"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-09-18T21:17:00Z"
  }
}